> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/error-handling.md).

# Tratamento de erros

Interprete respostas HTTP e resolva erros da API.

As APIs da Eseye usam códigos de status HTTP para informar os resultados da requisição.

### Códigos de status HTTP

| Status             | Significado                                           | O que fazer                                       |
| ------------------ | ----------------------------------------------------- | ------------------------------------------------- |
| `200 OK`           | A requisição foi bem-sucedida.                        | Processe a resposta.                              |
| `400 Bad Request`  | A requisição está malformada.                         | Verifique os parâmetros e os dados da requisição. |
| `401 Unauthorized` | O token está ausente, inválido ou expirado.           | Verifique o cabeçalho ou solicite um token.       |
| `403 Forbidden`    | A conta de serviço não tem permissão.                 | Solicite o acesso necessário.                     |
| `404 Not Found`    | Um recurso não existe.                                | Verifique os identificadores fornecidos.          |
| `5xx`              | A Eseye não conseguiu concluir uma requisição válida. | Tente novamente falhas temporárias com backoff.   |

### Respostas de erro

Um erro pode incluir `errorCode`, `errorTag`, `message`, e `additionalDetails`.

### Lide com erros com segurança

* Registre o status HTTP e os detalhes do erro nos logs da aplicação.
* Não registre segredos do cliente nem tokens de acesso completos.
* Corrija a maioria dos `4xx` erros antes de tentar novamente.
* Tente novamente falhas temporárias de rede e `5xx` falhas com backoff exponencial.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
